
#ifndef __GTK_HOTKEY_KEYFILE_STORAGE_H__
#define __GTK_HOTKEY_KEYFILE_STORAGE_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include "gtk-hotkey-storage.h"
#include "gtk-hotkey-info.h"

G_BEGIN_DECLS


#define GTK_HOTKEY_TYPE_KEYFILE_STORAGE (gtk_hotkey_keyfile_storage_get_type ())
#define GTK_HOTKEY_KEYFILE_STORAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_HOTKEY_TYPE_KEYFILE_STORAGE, GtkHotkeyKeyfileStorage))
#define GTK_HOTKEY_KEYFILE_STORAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_HOTKEY_TYPE_KEYFILE_STORAGE, GtkHotkeyKeyfileStorageClass))
#define GTK_HOTKEY_IS_KEYFILE_STORAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_HOTKEY_TYPE_KEYFILE_STORAGE))
#define GTK_HOTKEY_IS_KEYFILE_STORAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_HOTKEY_TYPE_KEYFILE_STORAGE))
#define GTK_HOTKEY_KEYFILE_STORAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_HOTKEY_TYPE_KEYFILE_STORAGE, GtkHotkeyKeyfileStorageClass))

typedef struct _GtkHotkeyKeyfileStorage GtkHotkeyKeyfileStorage;
typedef struct _GtkHotkeyKeyfileStorageClass GtkHotkeyKeyfileStorageClass;
typedef struct _GtkHotkeyKeyfileStoragePrivate GtkHotkeyKeyfileStoragePrivate;

struct _GtkHotkeyKeyfileStorage {
	GtkHotkeyStorage parent;
	GtkHotkeyKeyfileStoragePrivate * priv;
};
struct _GtkHotkeyKeyfileStorageClass {
	GtkHotkeyStorageClass parent;
};

GType gtk_hotkey_keyfile_storage_get_type (void);

G_END_DECLS

#endif
