
#ifndef __GTK_HOTKEY_ERROR_H__
#define __GTK_HOTKEY_ERROR_H__

#include <glib/gquark.h>

G_BEGIN_DECLS

#define GTK_HOTKEY_LISTENER_ERROR gtk_hotkey_listener_error_quark()
GQuark gtk_hotkey_listener_error_quark (void);

#define GTK_HOTKEY_STORAGE_ERROR gtk_hotkey_storage_error_quark()
GQuark gtk_hotkey_storage_error_quark (void);

typedef enum
{
	GTK_HOTKEY_LISTENER_ERROR_REGISTER,
	GTK_HOTKEY_LISTENER_ERROR_UNREGISTER,
} GtkHotkeyListenerError;

typedef enum
{
	GTK_HOTKEY_STORAGE_ERROR_UNKNOWN_APP,
	GTK_HOTKEY_STORAGE_ERROR_UNKNOWN_KEY,
	GTK_HOTKEY_STORAGE_ERROR_MALFORMED_MEDIUM,
	GTK_HOTKEY_STORAGE_ERROR_IO,
	GTK_HOTKEY_STORAGE_ERROR_UNKNOWN,
	GTK_HOTKEY_STORAGE_ERROR_BAD_SIGNATURE,
	GTK_HOTKEY_STORAGE_ERROR_MISSING_APP,
} GtkHotkeyStorageError;

G_END_DECLS

#endif /* __GTK_HOTKEY_ERROR_H__ */
